package function.builtin.special;

import function.*;
import sexpression.*;

@FunctionNames({ "DEFUN" })
public class DEFUN extends Define {

    public DEFUN() {
        super("DEFUN");
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedFunction(functionName.toString(), lambdaList, functionBody);
    }

}
